body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    perspective: 1000px;
    background-color: #f0f0f0;
}

img {
  opacity: 70%;
}

.scene {
    width: 200px;
    height: 200px;
    position: relative;
    transform-style: preserve-3d;
}

.cube {
    width: 310px;
    height: 100%;
    position: absolute;
    transform-style: preserve-3d;
    transition: transform 1s;
    transform: rotateX(-15deg) rotateY(15deg); /* Начальный наклон */
}

.face {
    position: absolute;
    width: 200px;
    height: 200px;
    background: rgba(0, 0, 0, 0.8);
    border: 0.1px solid #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden; /* Чтобы картинки не выходили за грани */
}

.face img {
    width: 100%;
    height: 100%;
    object-fit: cover; /* Чтобы картинки заполняли всю грань */
}

.front  { transform: rotateY(0deg) translateZ(100px); }
.back   { transform: rotateY(180deg) translateZ(100px); }
.right  { transform: rotateY(90deg) translateZ(100px); }
.left   { transform: rotateY(-90deg) translateZ(100px); }
.top    { transform: rotateX(90deg) translateZ(100px); }
.bottom { transform: rotateX(-90deg) translateZ(100px); }
